%global momorel 1
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp

Summary: Simple wrapper program for STARTTLS for Emacs
Name: elisp-starttls
Version: 0.10
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Editors
Source0: ftp://opaopa.org/pub/elisp/starttls-%{version}.tar.gz
URL: ftp://opaopa.org/pub/elisp/
BuildRequires: emacs >= %{emacsver}
BuildRequires: openssl-devel
Requires: emacs >= %{emacsver}

%description
starttls is a simple wrapper program for STARTTLS for Emacs.

%prep
%setup -q -n starttls-%{version}

%build
%{configure}
%{make}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/starttls
%{e_sitedir}/starttls.el*

%changelog
* Wed Sep 15 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10-1m)
- initial packaging
